Name: strace
Version: 4.5.6
Release: alt1

Summary: Tracks and displays system calls associated with a running process
License: BSD
Group: Development/Debuggers
Url: http://sourceforge.net/projects/%name/

Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2

Patch1: strace-4.5.6-owl-alt-fixes.patch
Patch2: strace-4.5.1-owl-man.patch
Patch3: strace-4.5.1-alt-keep_status.patch
Patch4: strace-4.5.2-alt-quotacmds-fix.patch
Patch5: strace-4.5.5-alt-parse_sigset.patch

BuildPreReq: kernel-headers-std

# Automatically added by buildreq on Sat Sep 06 2003
BuildRequires: libacl-devel

%package utils
Summary: Processes strace output and displays a graph of invoked subprocesses
Group: Development/Debuggers
Requires: %name = %version-%release

%description
The strace program intercepts and records the system calls called and
received by a running process.  Strace can print a record of each system
call, its arguments and its return value.  Strace is useful for diagnosing
problems and debugging, as well as for instructional purposes.

%description utils
The strace-graph Perl script processes strace -f output and displays
a graph of invoked subprocesses.  It is useful for finding out what
complex commands do.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
find -type f -name \*.orig -print -delete

%build
%configure
%make_build
%__bzip2 -9kf ChangeLog

%install
%__mkdir_p $RPM_BUILD_ROOT{%_bindir,%_man1dir}
%makeinstall man1dir=$RPM_BUILD_ROOT%_man1dir

%files
%_bindir/strace
%_mandir/man?/*
%doc ChangeLog.bz2 COPYRIGHT CREDITS NEWS PORTING README README-linux TODO

%files utils
%_bindir/strace-graph

%changelog
* Sat Jul 17 2004 Dmitry V. Levin <ldv@altlinux.org> 4.5.6-alt1
- Updated to 4.5.6.

* Mon Jul 12 2004 Dmitry V. Levin <ldv@altlinux.org> 4.5.5-alt2
- Fixed signal parser.

* Wed Jun 30 2004 Dmitry V. Levin <ldv@altlinux.org> 4.5.5-alt1
- Updated to 4.5.5.

* Fri Jun 04 2004 Dmitry V. Levin <ldv@altlinux.org> 4.5.4-alt1
- Updated to 4.5.4.
- Merged upstream patches:
  alt-linux-ioctlent

* Sun May 02 2004 Dmitry V. Levin <ldv@altlinux.org> 4.5.3-alt2
- Added more ioctl names.
- Regenerated ioctl list from linux-2.6.5.

* Sun Apr 18 2004 Dmitry V. Levin <ldv@altlinux.org> 4.5.3-alt1
- Updated to 4.5.3.
- Merged upstream patches:
  alt-quotactl-fix

* Thu Mar 18 2004 Dmitry V. Levin <ldv@altlinux.org> 4.5.2-alt2
- Fixed output of the quotactl command parser.

* Thu Mar 04 2004 Dmitry V. Levin <ldv@altlinux.org> 4.5.2-alt1
- Updated to 4.5.2.
- Merged upstream patches:
  alt-trace-coredump

* Mon Dec 15 2003 Dmitry V. Levin <ldv@altlinux.org> 4.5.1-alt1
- Updated to 4.5.1.
- Merged upstream patches:
  owl-ioctl
  alt-output (except line buffering for piped output)
  alt-ugid32_syscalls
- Rediffed:
  owl-alt-fixes
  owl-man
  alt-pipe-setlinebuf
  alt-trace-coredump
  alt-keep_status

* Tue Oct 21 2003 Dmitry V. Levin <ldv@altlinux.org> 4.5-alt1
- Updated to 4.5.

* Sat Sep 06 2003 Dmitry V. Levin <ldv@altlinux.org> 4.4.99-alt1
- Updated to 4.4.99.
- Reviewed patches:
  + merged upstream or obsolete:
    all RH patches.
  + reworked:
    owl-alt-fixes
    owl-man
    owl-ioctl
    alt-output
    alt-keep_status
    alt-ugid32_syscalls
- Updated build dependencies.

* Fri Sep 05 2003 Dmitry V. Levin <ldv@altlinux.org> 4.4-alt6
- Corrected strace behaviour in case of piped output redirection.

* Sun Nov 24 2002 Dmitry V. Levin <ldv@altlinux.org> 4.4-alt5
- Fixed kernel-2.4.x specific uid32 syscalls handling.

* Wed Oct 30 2002 Dmitry V. Levin <ldv@altlinux.org> 4.4-alt4
- Reverted signal.c back to revision 1.31 (as in strace-4.4);
  this should fix strace hangups (#0001326).
- Merged RH patches (4.4-8):
  + fixed modify_ldt handling;
  + added/fixed handing for the following syscalls:
    getpmsg, putpmsg, lchown32, getuid32, readahead, sendfile64,
    setxattr, fsetxattr, getxattr, fgetxattr, listxattr, flistxattr,
    removexattr, fremovexattr, sched_setaffinity, sched_getaffinity,
    futex, set_thread_area, get_thread_area;
  + added SA_RESTORER handling.

* Tue Jun 11 2002 Dmitry V. Levin <ldv@altlinux.org> 4.4-alt3
- Updated to current CVS version (post-4.4) with an additional fix for
  displaying all possible ioctl names when there's more than one match,
  some build fixes, and a RH-derived patch for detaches from
  multi-threaded programs (Owl).
- Changed group tag to "Development/Debuggers".

* Thu May 23 2002 Stanislav Ievlev <inger@altlinux.ru> 4.4-alt2
- Added subpackage to remove deps on perl-base in main package.

* Thu Aug 30 2001 Dmitry V. Levin <ldv@altlinux.ru> 4.4-alt1
- 4.4

* Tue Oct 24 2000 Dmitry V. Levin <ldv@fandra.org> 4.2-ipl3mdk
- Enabled all LFS patches and rebuilt with LFS-aware kernel-headers.

* Tue Oct 17 2000 Dmitry V. Levin <ldv@fandra.org> 4.2-ipl2mdk
- Added fcntl64 patch.

* Tue Oct 03 2000 Dmitry V. Levin <ldv@fandra.org> 4.2-ipl1mdk
- Merged in RH patches.
- Added keep_status feature.

* Tue Mar 28 2000 Dmitry V. Levin <ldv@fandra.org>
- 4.2

* Sat Nov 27 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Fri Nov 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 4.1.

* Mon Nov 08 1999 John Buswell <johnb@mandrakesoft.com>
- Commented out KERN_SECURELVL from system.c (this is not in sysctl.h in
  2.2.13 kernel)
- Build Release

* Mon Jul 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 4.00.

* Wed Apr 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update to 3.99.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binary

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 16)

* Tue Feb  9 1999 Jeff Johnson <jbj@redhat.com>
- vfork est arrive!

* Tue Feb  9 1999 Christopher Blizzard <blizzard@redhat.com>
- Add patch to follow clone() syscalls, too.

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- patch to build alpha/sparc with glibc 2.1.

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch to build on ARM

* Wed Sep 30 1998 Jeff Johnson <jbj@redhat.com>
- fix typo (printf, not tprintf).

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- fix compile problem on sparc.

* Tue Aug 18 1998 Cristian Gafton <gafton@redhat.com>
- buildroot

* Mon Jul 20 1998 Cristian Gafton <gafton@redhat.com>
- added the umoven patch from James Youngman <jay@gnu.org>
- fixed build problems on newer glibc releases

* Mon Jun 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
